Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Oct 2024 17:47:16 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: Tim Ruffing <[email-masked]>,  Paul Eggert <[email-masked]>,
>   [email-masked]
> Date: Wed, 30 Oct 2024 16:22:29 +0100
> 
> On Okt 30 2024, Eli Zaretskii wrote:
> 
> >> From: Tim Ruffing <[email-masked]>
> >> Date: Wed, 30 Oct 2024 00:14:58 +0100
> >> 
> >> I've just managed to reproduce this again, and I've attached gdb, but
> >> I'm also stuck at pp doesn't displaying:
> >> (gdb) pp composition_gstring_from_id(19)
> >> (gdb) p composition_gstring_from_id(19)
> >> $6 = (struct Lisp_X *) 0x58ad4d938225
> >> (gdb) xpr
> >> Lisp_Vectorlike
> >> PVEC_NORMAL_VECTOR
> >> $7 = (struct Lisp_Vector *) 0x58ad4d938220
> >> {XIL(0x58ad4f32aabd), make_fixnum(19), XIL(0x58ad4d93f8e5),
> >> XIL(0x58ad4d93f93d), XIL(0x58ad4d93f995)}
> >
> > Paul, any ideas why pp would fail to work?  I never say anything like
> > that, but maybe external-debugging-output doesn't work when GDB is
> > attached to a running Emacs?
> 
> pp is calling Emacs to print to its stderr.  If that is redirected
> somewhere else you won't see the output.

That's what I suspected, thanks.  So there's no way to use pp when GDB
is attached to an Emacs that was not started from a shell prompt?  Or
can the user do something to make that output show somewhere?